

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>&lt;no title&gt; &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../visualization/VH_diagram.html">Van den Heuvel diagrams</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>&lt;no title&gt;</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/api/posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <span class="target" id="module-posydon.active_learning.psy_cris.synthetic_data.synth_data_3D"></span><dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.analytic_classification_3D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">analytic_classification_3D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">Y</span></em>, <em class="sig-param"><span class="n">Z</span></em>, <em class="sig-param"><span class="n">f_splits</span><span class="o">=</span><span class="default_value">[1, 2.5, - 0.5, 1.8, 0.3]</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#analytic_classification_3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.analytic_classification_3D" title="Permalink to this definition">¶</a></dt>
<dd><p>Unique classes 1,2,3,4,6,8 for a total of 6 classes. This nicely matches
the colormap Dark2 for plotting.</p>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.analytic_regression_3D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">analytic_regression_3D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#analytic_regression_3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.analytic_regression_3D" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_1">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">func_1</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#func_1"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_2">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">func_2</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#func_2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_2" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_3">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">func_3</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#func_3"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_4">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">func_4</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#func_4"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_4" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_5">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">func_5</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">x</span></em>, <em class="sig-param"><span class="n">y</span></em>, <em class="sig-param"><span class="n">z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#func_5"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.func_5" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.get_output_3D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">get_output_3D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">Y</span></em>, <em class="sig-param"><span class="n">Z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#get_output_3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.get_output_3D" title="Permalink to this definition">¶</a></dt>
<dd><p>Takes input points (X,Y,Z) in 3D and returns a DataFrame with the
corresponding 3D classification and regression functions.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><strong>data_frame</strong> – Pandas dataframe including inputs, class, and outputs.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>DataFrame</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt id="posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.get_raw_output_3D">
<code class="sig-prename descclassname">posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.</code><code class="sig-name descname">get_raw_output_3D</code><span class="sig-paren">(</span><em class="sig-param"><span class="n">X</span></em>, <em class="sig-param"><span class="n">Y</span></em>, <em class="sig-param"><span class="n">Z</span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/posydon/active_learning/psy_cris/synthetic_data/synth_data_3D.html#get_raw_output_3D"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#posydon.active_learning.psy_cris.synthetic_data.synth_data_3D.get_raw_output_3D" title="Permalink to this definition">¶</a></dt>
<dd><p>Get the raw output for classification and regression for
the 3D synthetic data set. Unique classes include the
following [1,2,3,4,6,8].</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><ul class="simple">
<li><p><strong>classification_data</strong> (<em>ndarray</em>) – Class data (unique integers) in 3d classification space.</p></li>
<li><p><strong>regression_data</strong> (<em>ndarray</em>) – Regression output frmo 3d function.</p></li>
</ul>
</p>
</dd>
</dl>
</dd></dl>



           </div>
           
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>